This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 862906 - CVE-2012-4466 ruby: safe level bypass via name_err_mesg_to_str()
CVE-2012-4466 ruby: safe level bypass via name_err_mesg_to_str()
Status: CLOSED DUPLICATE of bug 862614
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120928,reported=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 16:49 EDT by Vincent Danen
Modified: 2015-07-31 02:54 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-03 16:57:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-10-03 16:49:20 EDT
As noted in bug #862598:

Originally, Common Vulnerabilities and Exposures assigned an identifier CVE-2011-1005 to the following vulnerability:

The safe-level feature in Ruby 1.8.6 through 1.8.6-420, 1.8.7 through 1.8.7-330, and 1.8.8dev allows context-dependent attackers to modify strings via the Exception#to_s method, as demonstrated by changing an intended pathname.

Later it was reported:
[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=689075
[2] http://www.openwall.com/lists/oss-security/2012/10/02/4

that upstream ruby 1.9.1 and ruby 1.9.3 versions are also vulnerable to this flaw.

Relevant upstream patch:
[3] http://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=revision&revision=37068

There are two issues here:

1) CVE-2011-1005 was never reported to affect ruby 1.9.x, but it was later introduced (or re-introduced) on trunk, via r29456.  So ruby 1.9.3-p0 and later is affected by the same flaw that was assigned CVE-2011-1005 in 1.8.x (it's been assigned the name CVE-2012-4464)

2) The name_err_mesg_to_str() function has a similar flaw, and it affects both 1.8.x and 1.9.3-p0 and later.  This was assigned the name CVE-2012-4466.

CVE assignments and explanations:

http://seclists.org/oss-sec/2012/q4/10
http://seclists.org/oss-sec/2012/q4/13
Comment 1 Vincent Danen 2012-10-03 16:50:30 EDT
Created ruby tracking bugs for this issue

Affects: fedora-all [bug 862907]

Note You need to log in before you can comment on or make changes to this bug.